/*
Created		07/11/2006
Modified		11/07/2007
Project		Spagic
Model		Bck Database
Company		Engineering
Author		Spagic Team
Version		1.0
Database    mySQL 5 
*/

Create table instance_sa (
	id_instance_sa Bigint(20) NOT NULL,
	id_assembly Bigint NOT NULL,
	startdate Datetime NOT NULL,
	enddate Datetime NOT NULL,
	state Int(11) NOT NULL,
	id_correlation Varchar(100) NOT NULL,
	id_iter Bigint,
 Primary Key (id_instance_sa)) ENGINE = InnoDB
ROW_FORMAT = Compact;

Create table journal_instance_service (
	id_journal Bigint(20) NOT NULL,
	id_endpoint_source Bigint NOT NULL,
	id_endpoint_target Bigint NOT NULL,
	id_instance_sa Bigint(20) NOT NULL,
	id_msg_exchange Varchar(100) NOT NULL,
	exchange_start Timestamp NOT NULL,
	exchange_inter_1 Timestamp,
	exchange_inter_2 Timestamp,
	exchange_end Timestamp,
	id_ext_process_instance Varchar(45),
	id_state Int NOT NULL,
	message_exchange Blob,
 Primary Key (id_journal)) ENGINE = InnoDB
ROW_FORMAT = Compact;

Create table log_journal (
	id_log Bigint(20) NOT NULL,
	id_state Int NOT NULL,
	id_journal Bigint NOT NULL,
	log Text NOT NULL,
	datelog Datetime NOT NULL,
 Primary Key (id_log)) ENGINE = InnoDB
ROW_FORMAT = Compact;

Create table relevant_data (
	id_relevant_data Bigint NOT NULL,
	id_attribute Bigint NOT NULL,
	id_log Bigint NOT NULL,
	value Varchar(500) NOT NULL,
Primary Key (id_relevant_data)) ENGINE = InnoDB;


Create table instance_iter (
	id_iter Bigint NOT NULL,
	id_iter_type Bigint NOT NULL,
	unique_iter_instance_key Varchar(1000) NOT NULL,
 Primary Key (id_iter)) ENGINE = InnoDB;


Create table relevant_data_instance_sa (
	id_instance_sa Bigint NOT NULL,
	id_relevant_data Bigint NOT NULL,
Primary Key (id_instance_sa,id_relevant_data)) ENGINE = InnoDB;